# ulib

~~~
ulib: Gestion des librairies ulib et pyulib

USAGE
    ulib [options] --destdir DESTDIR [options]
    ulib [options] --version [options]
    ulib [options] --shell [options]

SYNCHRONISER ULIB/PYULIB
    -S, --sync
        Synchroniser ulib, pyulib et les scripts de support
    -d, --destdir DESTDIR
        Synchroniser ulib et/ou pyulib dans le répertoire destdir.
        Les options -u et -p permettent de choisir ce qui est synchronisé
    -u, --ulib
        Copier/mettre à jour ulib (par défaut)
    -p, --pyulib
        Copier/mettre à jour pyulib
    -s, --support
        Copier/mettre à jour les scripts de support

GERER LA VERSION DE ULIB
    -v, --version
        Gérer la version de ulib
    -l, --show
        Afficher la version de la librairie (par défaut)
    -s, --system
        Afficher aussi la version de la librairie système
    -c, --check MIN_VERSION
        Vérifier que la version de la librairie est au minimum MIN_VERSION, et
        afficher un message d'information. Utiliser l'option -q si l'on veut
        juste tester la version et ne pas afficher le message d'information.
    -V, --set-version VERSION
        Forcer la version de ulib
    -u, --update
        Incrémenter la version de ulib. Les options -x, -z, -p permettent de
        choisir le numéro qui est incrémenté.
    -x, --major
        Augmenter le numéro de version majeure
    -z, --minor
        Augmenter le numéro de version mineure. C'est l'option par défaut
    -p, --patchlevel
        Augementer le numéro de patch

LANCER UN SHELL (par défaut)
    -s, --shell
        Lancer un shell dans lequel les modules de ulib spécifiés sont chargés.
        De plus, PATH est modifié pour que /home/jclain/wop/modules/nutools soit ajouté en premier.
        Les arguments restants sont passés inchangés au shell.
    -r, --require module
        Spécifier un module à charger avec urequire. Plusieurs modules peuvent
        être spécifiés en les séparant par ':'
        Par défaut, seul le module DEFAULTS est chargé.
    --force-reload
        Forcer le (re)chargement des modules avec urequire. Cette option est
        utile pour le développement. En effet, dans le shell, la commande
        'urequire module' (re)charge toujours le module, même s'il avait déjà
        été chargé.
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary